"""empty message

Revision ID: 22e3ea459e91
Revises: 
Create Date: 2022-12-02 16:46:46.964271

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '22e3ea459e91'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('plannings',
                    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
                    sa.Column('created_date', sa.TIMESTAMP(), server_default=sa.text('now()'), nullable=False),
                    sa.Column('name', sa.String(length=512), nullable=False),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_plannings_id'), 'plannings', ['id'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_plannings_id'), table_name='plannings')
    op.drop_table('plannings')
    # ### end Alembic commands ###
